# HLAfixedField< E, M, N, false > Struct Template Reference

`#include <HLAfixedRecord.hh>`

List of all members.

## Public Member Functions
void | copy (void *source, size_t offsD=0, size_t offsS=0)
## Static Public Member Functions
static const size_t | field_offsetof (int d, size_t offs=0)
static const size_t | emptysizeof (size_t offs=0)
static const size_t | __sizeof (size_t offs=0)
## Static Public Attributes
static const size_t | memberBoundary = M::m_octetBoundary
static const size_t | m_octetBoundary = MAX(M::m_octetBoundary, N::m_octetBoundary)
static const bool | m_isVariable = false

## Detailed Description

### template<int E, class M, class N>
struct libhla::libhla::HLAfixedField< E, M, N, false >

Definition at line 126 of file HLAfixedRecord.hh.

## Member Function Documentation

static const size_t field_offsetof | ( | int | d,
|  | size_t | offs = `0` |
| ) |  |  | `[inline, static]`

Definition at line 128 of file HLAfixedRecord.hh.

References libhla::__padding().

Here is the call graph for this function:

static const size_t emptysizeof | ( | size_t | offs = `0` | ) | `[inline, static]`

Definition at line 141 of file HLAfixedRecord.hh.

static const size_t __sizeof | ( | size_t | offs = `0` | ) | `[inline, static]`

Definition at line 145 of file HLAfixedRecord.hh.

References libhla::__padding().

Here is the call graph for this function:

void copy | ( | void * | source,
|  | size_t | offsD = `0`,
|  | size_t | offsS = `0` |
| ) |  |  | `[inline]`

Definition at line 157 of file HLAfixedRecord.hh.

References libhla::__padding().

Here is the call graph for this function:

## Member Data Documentation

const size_t memberBoundary = M::m_octetBoundary`[static]`

Definition at line 139 of file HLAfixedRecord.hh.

const size_t m_octetBoundary = MAX(M::m_octetBoundary, N::m_octetBoundary)`[static]`

Definition at line 169 of file HLAfixedRecord.hh.

const bool m_isVariable = false`[static]`

Definition at line 170 of file HLAfixedRecord.hh.

The documentation for this struct was generated from the following file:

- HLAfixedRecord.hh